New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Wzrd not able to bundle the latest version(3.2.14) #2154

Closed
Megh-Thakkar opened this Issue Jul 10, 2018 · 4 comments

Comments

Projects
None yet
2 participants
@Megh-Thakkar

Megh-Thakkar commented Jul 10, 2018

Bundle error

Bug report

The latest version (3.2.14) is not getting bundled by wzrd whereas version 3.2.12 is. I am working on the biojs registry and would be requiring the bundle to display the snippets. Please have a look.

@maxkfranz maxkfranz self-assigned this Jul 10, 2018

@maxkfranz

This comment has been minimized.

Member

maxkfranz commented Jul 10, 2018

What do you get for npm ls browserify?

@maxkfranz

This comment has been minimized.

Member

maxkfranz commented Jul 11, 2018

This looks like it's not a Cytoscape problem:

$ node --version
v8.11.3
$ npm --version
5.6.0
$ git clone https://github.com/cytoscape/cytoscape.js.git
Cloning into 'cytoscape.js'...
remote: Counting objects: 30358, done.
$ cd cytoscape.js/
$ git checkout v3.2.14
Note: checking out 'v3.2.14'.

You are in 'detached HEAD' state. You can look around, make experimental
changes and commit them, and you can discard any commits you make in this
state without impacting any branches by performing another checkout.

If you want to create a new branch to retain commits you create, you may
do so (now or later) by using -b with the checkout command again. Example:

  git checkout -b <new-branch-name>

HEAD is now at 2fd4aa6c Preparing to publish 3.2.14
$ browserify --version
16.2.2
$ npm i
2083 packages in 14.669s
$ browserify -s cytoscape dist/cytoscape.cjs.js > bundle.js
$ node
> cytoscape = require('./bundle')
{ [Function: cytoscape]
  use: �[36m[Function]�[39m,
  version: �[32m'3.2.14'�[39m,
  Stylesheet: �[36m[Function: Stylesheet]�[39m,
  stylesheet: �[36m[Function: Stylesheet]�[39m }
�[1G�[0J> �
@maxkfranz

This comment has been minimized.

Member

maxkfranz commented Jul 11, 2018

Alternatively, you can use CDNJS if you want a browser-ready bundle for a particular version: https://cdnjs.com/libraries/cytoscape

Or if you always want the latest version (or a semver pattern), you can use Unpkg: https://unpkg.com/cytoscape/dist/cytoscape.min.js

@maxkfranz

This comment has been minimized.

Member

maxkfranz commented Jul 12, 2018

Lodash doesn't load on that wzrd cdn either: https://wzrd.in/bundle/lodash@4.17.10

Perhaps the site itself is broken.

@maxkfranz maxkfranz removed their assignment Jul 19, 2018

@maxkfranz maxkfranz closed this Aug 27, 2018

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment